Subject: Re: AIX 3.2.5 and Incoming

From: Yanming PENG <[email-masked]>
Date: Wed, 15 Nov 95 0:08:21 WET

> 
>  >    > I've tried this, but it still does not change the owner and group.
>  > 
>  > In order for the server to manipulate ownership of files, it must be running 
>  > as root.
> 
>  I've tried it on SunOS and it only works in certain circumstances. I 
>  believe there is a problem in the wu-ftpd but I didn't get any response 
>  from the list or wuftp-bugs mail. (and I found a workaround that will do
>  me for now)
> 
>  The server was runing as root but the disk was mounted via NFS. There

This is probably the cause of the problem.

>  was NO NFS problem with creating files as root in the shell but there
>  WAS a problem running through wu-ftpd. The kludge fix I made was to

Sounds like you mount NFS fs exported from the same workstation like I
did. If this is the case, put no__root_squash in your /etc/exports or
something similar to that. I HAD same problem before and this fixed it.

>  have the incoming file owned by ftp (The only usercode it would allow)
>  and change the mode to 000. This stops anyone reading the file out again
>  and wuftpd stops people trying to create a file with a name that 
>  already exists
> 
>  Not sure if this is secure but it is the best I can think of at the moment
> 
>  Pete
> 
> Peter Glassenbury   ([email-masked])
> Dept. of Computer Science, University of Canterbury, Christchurch, New Zealand
> 
> 
> 
> The error message for those interested came up in /var/adm/messages and was
> NFS write error 13  (which is permission denied). As I said -- only occurs
> when writing through wuftpd -- not running as root.
> 

--
Yanming PENG Email: [email-masked] http://peng.mech.kuleuven.ac.be
Tel.32-16-322516 | The trouble with doing something right the first time is |
Fax:32-16-322987 | that nobody appreciates how difficult it was.            |

---

From: [email-masked]
Date: Wed, 15 Nov 1995 10:06:16 +0100

> I fixed my own problem.  I found out something really interesting.  I had
> ftp defined in /etc/passwd as such:
> 
> ftp:*:200:200::/local/ftp/./:/bin/ksh
> 
> I found out that if I redefined this as:
> 
> ftp:*:200:200::/local/ftp:/bin/ksh
> 
May be this solve your problem but I'm not sure that is a good idea to give a 
logging shell to a user without password. Theoriclay you should set the
entry to 
ftp:x:30000:30000:Anonymous FTP user:/home/ftp:/nosuchshell 
                                               ^^^^^^^^^^^^
Otherwise you let a serious security hole in your system.

Leo Cacciari
Universite' de Pau, France